=== debian/changelog ===
ros-kinetic-hector-object-tracker (0.3.4-0xenial) xenial; urgency=high

  * Use the FindEigen3.cmake module provided by Eigen
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.3-0xenial) xenial; urgency=high

  * added barrels to launch file
  * changed max height to 0.2
  * Reduce max height
  * changed min height for target
  * -Update sick robot day 2014 params
  * -Rename launch file
  * -Change settings for SRD2014
  * launch file for turtlebot added
  * Contributors: Christian Rose, Dorothea Koert, Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 10 Nov 2015 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.2-0xenial) xenial; urgency=high

  * generalized min_distance_between_objects check for confirmed objects
  * removed object class dependent code from the implementation part
  * added cmake_modules dependency for the Eigen cmake config
  * do no longer model victims twice if they were already confirmed
  * set octomap_distance_warnings to ROS_DEBUG
  * fixed qrcode mapping
  * orientation of objects is now considered and filtered (optional)
  * fixed publishing of not populized objects
  * Contributors: Alexander Stumpf, Dorothea Koert, Johannes Meyer, Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 06 Sep 2014 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.1-0xenial) xenial; urgency=high

  * changed distance for negative update
  * renamed hector_object_tracker::param() method to hector_object_tracker::parameter()
    This will hopefully fix the build failures on Jenkins for lucid binaries.
    See http://jenkins.ros.org/job/ros-fuerte-hector-worldmodel_binarydeb_lucid_amd64/132/console
  * added missing target dependency to hector_nav_msgs_generate_messages_cpp
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-kinetic-hector-object-tracker (0.3.0-0xenial) xenial; urgency=high

  * catkinized stack hector_worldmodel

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 03 Sep 2013 00:00:00 -0000
